Option Compare Binary
Option Explicit On
Option Strict On

Imports Microsoft.VisualBasic
Imports System

''' <summary>Unmanaged Win32 functions.</summary>
Friend NotInheritable Class NativeMethods
    Private Sub New()
        '
    End Sub

    Friend Declare Auto Function VerLanguageName Lib "kernel32.dll" ( _
        ByVal wLang As Int32, _
        ByVal szLang As String, _
        ByVal nSize As Int32 _
    ) As Int32

    Friend Shared Function LangIdToString(ByVal wLang As Int16) As String
        Dim s As String = Strings.Space(128)
        Dim n As Int32 = VerLanguageName(wLang, s, s.Length)
        If n = 0 Then
            Throw New Exception(My.Resources.ExceptionUnspecifiedErrorOccured)
        Else
            Return Strings.Left(s, n)
        End If
    End Function
End Class